Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.util
Class TimeoutTask

    java.lang.Object
      org.hornetq.rest.util.TimeoutTask

All Implemented Interfaces:
  java.lang.Runnable

    public class TimeoutTask

extends java.lang.Object
implements java.lang.Runnable

Version:
  $Revision: 1 $
Author:
  Bill Burke

Nested Class Summary
`static interface` | `TimeoutTask.Callback`

Field Summary
`protected java.util.Map<java.lang.String,TimeoutTask.Callback>` | `callbacks`
`protected int` | `interval`
`protected boolean` | `running`
`protected java.lang.Thread` | `thread`

Constructor Summary
`TimeoutTask(int interval)`

Method Summary
`void` | `add(TimeoutTask.Callback callback, java.lang.String token)`
`int` | `getInterval()`
`void` | `remove(java.lang.String token)`
`void` | `run()`
`void` | `setInterval(int interval)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### running

    protected boolean running

### interval

    protected int interval

### callbacks

    protected java.util.Map<java.lang.String,TimeoutTask.Callback> callbacks

### thread

    protected java.lang.Thread thread

Constructor Detail

### TimeoutTask

    public TimeoutTask(int interval)

Method Detail

### add

    public void add(TimeoutTask.Callback callback,
                    java.lang.String token)

### remove

    public void remove(java.lang.String token)

### stop

    public void stop()

### getInterval

    public int getInterval()

### setInterval

    public void setInterval(int interval)

### start

    public void start()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.